FROM alpine:3.21.2

LABEL org.opencontainers.image.authors="alier@student.42mulhouse.fr"

RUN apk add nodejs curl npm

COPY app/ /app

RUN cd /app && npm install && npm run build

EXPOSE 3000

HEALTHCHECK --start-period=5s \
    CMD curl "http://site:3000/site/index.html" --fail || exit 1

ENTRYPOINT ["node", "/app/index.mjs"]
